%bcond_without check

%global goipath         k8s.io/component-base
%global forgeurl        https://github.com/kubernetes/component-base
Version:                1.22.0
%global tag             kubernetes-1.22.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Shared code for Kubernetes core components.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md code-of-conduct.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Shared code for Kubernetes core components

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz
Patch0:         0001-Update-to-logger-v1.0.0.patch



%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
tar -xzf %{SOURCE1}

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-1
- initial build
